Skip to main content
GET
Cache product price availability and booking details.

Path Parameters

tdmsProductId
string
required
ppdid
string
required

Query Parameters

apiProviderId
integer
required

The API provider ID

Example:

16

groupFaresForAvailabilityCheck
boolean
required

Whether to group fares

Example:

false

fareTypeId
integer
required

The fare type ID

Example:

16

bookingDate
string
required

date The booking date (Y-m-d format)

Example:

"architecto"

timeId
string
required

The time slot ID

Example:

"architecto"

Body

application/json
apiProviderId
integer
required
Example:

16

groupFaresForAvailabilityCheck
boolean
required
Example:

false

fareTypeId
integer
required
Example:

16

bookingDate
string
required

Must be a valid date.

Example:

"2026-02-01T05:49:35"

timeId
string
required
Example:

"architecto"

Response

400 - application/json
success
boolean
Example:

false

title
string
Example:

"Validation error"

code
integer
Example:

400

data
object